Bug 255991 - sftp login dialog keeps popping up
Summary: sftp login dialog keeps popping up
Status: RESOLVED FIXED
Alias: None
Product: kio
Classification: Unclassified
Component: sftp (show other bugs)
Version: 4.5
Platform: Ubuntu Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Andreas Schneider
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-11-03 19:37 UTC by Nikola Kovacs
Modified: 2011-05-27 23:37 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.7.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Nikola Kovacs 2010-11-03 19:37:43 UTC
Version:           unspecified (using KDE 4.5.2) 
OS:                Linux

Every time I use sftp to connect to a server in Dolphin, I get an sftp login dialog. The login details are filled out (it correctly remembers the password), and I tick the remember password checkbox, but the dialog keeps popping up occasionally (apparently after a short period of inactivity), and every time I try to connect. I don't know if it's supposed to work this way (since it does remember the password, but forces me to click ok) for enhanced security, but if it is, it's a bit confusing ("remember password" usually means "remember password and don't bother me with this dialog again"), and annoying.

Reproducible: Always

Steps to Reproduce:
1. Set up a sftp connection (Network, Add Network Folder etc.)
2. Connect to it
3. Fill in your login details and tick remember password.
4. Disconnect
5. Connect again.

Actual Results:  
A login dialog appears again, albeit with the username and password already filled out correctly. Clicking ok connects to the server.

Expected Results:  
Dolphin connects to the server using the stored username/password.
Comment 1 Ralf Jung 2011-03-21 12:49:16 UTC
The ftp transport also asks for a password each time I connect to it, but with an important difference to the sftp one: It only asks for the first KIO slave opened. If I then open a file on the FTP server, no further dialogue appears. For SFTP however, when I connect to the server and then open a file, I have to confirm the password again. In addition, FTP already has the "Remember password" box checked for those useless dialogues, but SFTP does not.
My suggestion would be to only ask for a password in case of authentication failure, so the user can update the password in the wallet if it was changed remotely.
Comment 2 Ralf Jung 2011-04-18 22:03:43 UTC
This issue seems to be fixed with KDE 4.6 - at least, my usual testcase does not open any unnecessary login dialogues. Just that "Remember password" check box is still not set properly.
Comment 3 Nikola Kovacs 2011-04-18 22:22:58 UTC
I still keep getting the dialog frequently while working with sftp in 4.6.2, and it's really annoying. If I leave dolphin alone for just half a minute, I'll get an sftp password dialog the next time I try to browse to a different directory.
Comment 4 Andreas Schneider 2011-04-18 23:00:50 UTC
Could you describe your problems please more precisely. I need to reproduce it here so I need instruction how to do it.

Your config, ssh keys, ssh server setup. What do you expect should happen if you do X.
Comment 5 Andreas Schneider 2011-05-01 23:30:53 UTC
We are working on that. There will be a ton of kio fixes soon.
Comment 6 Dawit Alemayehu 2011-05-27 23:37:53 UTC
Git commit e1d42cb7ff079f05a6358f474a1f0634c1d06b97 by Dawit Alemayehu.
Committed on 11/05/2011 at 06:03.
Pushed by adawit into branch 'master'.

- Properly update the client application when the user changes the 'username'
  that was entered as part of the url in the password dialog.
- Do not prompt for password when there is cached password in the wallet.
- Show the "Remember password" checkbox on login failure retries.
- Avoid crash if slave_status is called after the mSftp was set to NULL.

BUG: 165875
BUG: 195450
BUG: 255991
FIXED-IN: 4.7.0
REVIEW: 101332

M  +102  -94   kioslave/sftp/kio_sftp.cpp     
M  +6    -1    kioslave/sftp/kio_sftp.h     

http://commits.kde.org/kde-runtime/e1d42cb7ff079f05a6358f474a1f0634c1d06b97